### Function

# Fwupd install_flags_from_string

#### Declaration [src]

    FwupdInstallFlags
    fwupd_install_flags_from_string (
      const gchar* str
    )

#### Description [src]

Converts text to an install flag.

Available since: | 2.0.4

#### Parameters

`str` | `const gchar*`
| A string, e.g. `allow-reinstall`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdInstallFlags`
| An enumerated install flag, e.g. `FWUPD_INSTALL_FLAG_ALLOW_REINSTALL`.